Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88261 - Bug in timeout.c (bsd TCPIP ecos support layer)
Summary: Bug in timeout.c (bsd TCPIP ecos support layer)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: TCPIP
Version: CVS
Hardware: synth
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gary Thomas
QA Contact: Jonathan Larmour
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-08 10:01 UTC by Niels Beier
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-20 16:24:23 UTC


Attachments (Terms of Use)

Description Niels Beier 2003-04-08 10:01:07 UTC
Description of problem:
Hi there,

I have noticted that some of the timer functions are not called (tcp_slowtimo
for example). I have made the following test case - inserted in
/net/bsd_tcpip/current/src/ecos/support.c


void
cyg_net_init(void)
{
    static int _init = false;
    struct init_tab_entry *init_entry;

    if (_init) return;

    cyg_do_net_init();  // Just forces linking in the initializer/constructor
    // Initialize interrupt "flags"
    cyg_flag_init(&netint_flags);
    // Initialize timeouts and net service thread (pseudo-DSRs)
    cyg_alarm_timeout_init();
#if 1
    /* Niels Beier test code    */
    {
        cyg_uint32 result;
        result = timeout(testFunc, 1, 1);
        diag_printf("Result from first timeout() call %u\n", result);
        result = timeout(testFunc, 2, 2);
        diag_printf("Result from second timeout() call %u\n", result);
        if(result == 0)
        {
            /* This code is executed every time */
            diag_printf("Timer ERROR\n");
        }
        else
        {
            diag_printf("Timer OK\n");            
        }
        while(1);
    }    
#endif    
}

Or have I misunderstod something?

Best regards 
Niels

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1.Compile ecos library with supplied test code
2.run and watch output
3.
    
Actual results:
Second timerout() call returns zero

Expected results:
Non zero result expected

Additional info:

Comment 1 Alex Schuilenburg 2003-06-20 16:24:23 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=88261


Note You need to log in before you can comment on or make changes to this bug.